/**
 * Copyright 2012 the project-owners
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
package inti.ws.spring.resource.config;

import inti.ws.spring.resource.WebResource;
import inti.ws.spring.resource.minify.Minifier;

import java.util.List;

public class ConfigParserSettings {
    
    protected Class<? extends Minifier> minifier;
    protected Class<? extends ConfigParser<? extends WebResource>> configurator;
    protected String contentType;
    protected String cacheControl;
    protected List<String> routes;
    protected long expires;
    
    public Class<? extends Minifier> getMinifier() {
        return minifier;
    }
    
    public void setMinifier(Class<? extends Minifier> minifier) {
        this.minifier = minifier;
    }
    
    public Class<? extends ConfigParser<? extends WebResource>> getConfigurator() {
        return configurator;
    }
    
    public void setConfigurator(Class<? extends ConfigParser<? extends WebResource>> configurator) {
        this.configurator = configurator;
    }
    
    public String getContentType() {
        return contentType;
    }
    
    public void setContentType(String contentType) {
        this.contentType = contentType;
    }
    
    public long getExpires() {
        return expires;
    }
    
    public void setExpires(long expires) {
        this.expires = expires;
    }
    
    public String getCacheControl() {
        return cacheControl;
    }
    
    public void setCacheControl(String cacheControl) {
        this.cacheControl = cacheControl;
    }
    
    public List<String> getRoutes() {
        return routes;
    }
    
    public void setRoutes(List<String> routes) {
        this.routes = routes;
    }
    
}
