/**
 * Copyright 2012 the project-owners
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
package inti.ws.spring.resource.mail;

import inti.ws.spring.resource.FilteredWebResource;

import java.net.MalformedURLException;
import java.net.URISyntaxException;

import javax.el.ExpressionFactory;
import javax.el.ValueExpression;
import javax.servlet.ServletContext;

public class MailResource extends FilteredWebResource {
    
    protected String subjectTemplate;
    protected String subjectValue;
    protected ValueExpression subject;
    
    public MailResource(ServletContext ctx, String location) throws URISyntaxException, MalformedURLException {
        super(ctx, location);
    }
    
    @Override
    public void update() throws Exception {
        ExpressionFactory factory;
        
        super.update();
        
        factory = ExpressionFactory.newInstance();
        subject = factory.createValueExpression(context, subjectTemplate, String.class);
        subjectValue = (String) subject.getValue(context);
    }
    
    public String getSubject() {
        return subjectValue;
    }
    
    public void setSubjectTemplate(String subjectTemplate) {
        this.subjectTemplate = subjectTemplate;
    }
    
}
